lkml.org 
[lkml]   [2020]   [Jun]   [30]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH] nvme: validate cntlid's only for nvme >= 1.1.0
On Tue, Jun 30, 2020 at 12:29:23PM +0000, Maximilian Heyne wrote:
> Controller ID's (cntlid) for NVMe devices were introduced in version
> 1.1.0 of the specification. Controllers that follow the older 1.0.0 spec
> don't set this field so it doesn't make sense to validate it. On the
> contrary, when using SR-IOV this check breaks VFs as they are all part
> of the same NVMe subsystem.
>
> Signed-off-by: Maximilian Heyne <mheyne@amazon.de>
> Cc: <stable@vger.kernel.org> # 5.4+

The first hunk looks ok, the second doesn't make sense as fabrics
was only added with NVMe 1.2.2. I can fix it up when applying if you
are ok with that.

But you guys really shouldn't be doing SR-IOV with 1.0 controllers
independent of this..

\
 
 \ /
  Last update: 2020-06-30 15:34    [W:0.044 / U:6.128 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site